Onlime Media - SmartBackup - Help Contents

SmartBackup Help v.1.5
SmartBackup copies files and folders from one location to another on the same drive, another drive, or across the network. You can set up projects that describe the source location(s), the destination location, and the frequency at which you want to copy the files. SmartBackup monitors the source files for changes or additions and then automatically copies the new or changed files to their designated destinations. The program uses the familiar Windows Explorer interface. Project setup dialog box is easy and intuitive, that makes configuration jobs a snap.

Advanced options include PKZip-compatible compression, password protection, directory synchronization, and background thread priority control. You can also include or exclude a specific file or set of files from the copy and keep any number of old versions of files. Once you configure the projects with your important file locations, the program sits as an icon in the Windows system tray and unobtrusively copies files in the background.

For a full list of SmartBackup features, please read Features Highlights help page.

Note: This download expires after 30 days. The cost to register is US $29.95.

SmartBackup is a product of Onlime Media (www.onlimemedia.com) Internet Solutions Company. Please, click here to learn more about Onlime Media.

See also:
Features Highlights
Purchasing Information
Copyright (c) 1996-2002 Onlime Media. All rights reserved.
Microsoft Windows is a registered trademark of Microsoft Corporation.
All other registered and unregistered trademarks in this document are the sole property of their respective owners.


SmartBackup - Features Highlights

Features Highlights
Explorer style user interface
Easy and intuitive Backup project setup
You can include multiple source folders in your Backup
Optional keeping of old file versions, and obsolete files in special Archive folders
Disk Spanning Feature - span your backup copy across multiple removable disks
ZIP Compression (compression level, password protection)
Autorun Backup on folder contents change
Automatic scheduled copies with complete scheduling options
Integration with Microsoft(r) Task Scheduler
File and folders synchronization
Complete files and folders filter
Grouping of backup projects
Protection of projects with password
Power Management Options
Audial and visual event alerts (Windows 2000 tray balloon hint)
Using folder name expansion variables
Support for all LANs
Universal Naming Convention (UNC) support
Option for "Step-By-Step Backup" - control every step SmartBackup does!
Controlling program and starting backup from command line
Customization of Logged events
Multi-threaded background processing
Option for allowing only one running backup process at each moment of time to protect your system from overload
Run programs before and after running the backup projects
Support for Windows hardware profiles
Possibility of interface language changing
Year 2000 compliant
and many more...

See also:
Purchasing Information
System Requirements
SmartBackup Installation
Frequently Asked Questions (FAQ's)
Copyright (c) 1996-2002 Onlime Media. All rights reserved.


SmartBackup - Quick Start

Quick Start

This section explains the procedures you should follow to begin using SmartBackup.

Tip Tip:
To learn more about the SmartBackup user interface click here.

SmartBackup runs in the background and copies files at predefined intervals. It starts when you start Windows but you can change this behavior on the Preferences - Startup and Shutdown dialog.

Click the SmartBackup icon in the Windows System Tray.

When you double-click the icon, the SmartBackup main window opens.

1. Create a new SmartBackup project by clicking "New Project" button on the toolbar or selecting [image] "Project" -> "New..." from the menu (alternatively, you can press the "INSERT" key on your keyboard).

The Project Properties dialog window for the newly created backup project will appear.

2. Select a name for your backup project. For example, type "My Documents", but this may be anything you like.

Click on the next dialog tab (Backup Type) to continue with your project settings.

3. Choose backup type from the list:

Tip:
To learn more about a specific backup type click on the appropriate graphic above.

4. Type or select (using the Browse... button) a source folder containing the files you plan to back up. Press corresponding label if you need to add Multiple Source Folders to your backup Project.

5. Type the name of destination folder where your backup copy will be saved.

Tip:
You can use Folder Expansion Variables in Source/Destination and Archive folder names.
Note:
This example shows the incremetal backup technique, but if you prefer to use a single backup folder you can define a permanet folder name for your backup (for example, g:\Backups\My Documents\).

6. Edit the File Filter list.
If you need an exact backup copy of the source folder files, leave the default filter setting (Include files matching the wildcard: '*.*').

7. Choose whether your files are to be updated daily, weekly, hourly or otherwise. You can also make backups every time you log in and use many other scheduling options.
Tip:
Choose "Run Manually" if you don't want any schedule for the task.

8. You can also specify additional project options. When finished, press OK to close the Project Properties dialog box.

THAT'S ALL.

Above we have described the most basic features of SmartBackup to get you started. However, SmartBackup offers much more. Please read the documentation to learn more about the powerful features of SmartBackup and discover how you can customize it to suit your preferences!

See also:
Purchasing Information
Project Properties
System Requirements
Frequently Asked Questions (FAQ's)
Copyright (c) 1996-2002 Onlime Media. All rights reserved. Synchronize source and destination to math exactly. Compress source into ZIP file. Delete obsolete from ZIP file. Compress source into ZIP file. Move source to destination. Copy source to destination. Delete obsolete from destination. Copy source to destination.


SmartBackup - About Onlime Media

About Onlime Media

Onlime Media is a small independently owned software development company founded in 1996. At Onlime Media, we develop shareware products for Microsoft Windows and the Internet environment. In addition to product development, we provide ongoing technical support for registered users of our products.

Our customer base includes corporate computer professionals, first time users and everything in between.

Please visit our Web site - www.onlimemedia.com!

With every visit to our Web site you can find information about new versions of Onlime Media products, announcements, new beta versions, special offers and more.

See also:
Acknowledgements
Purchasing Information


SmartBackup - Acknowledgements

Acknowledgements
Many people have helped make SmartBackup what it is by making suggestions, helping test, reporting bugs, etc., but particular thanks goes to the following individuals (without any order): Alexander Gorlach, Alexander Katalov, Vladimir Katalov, and Alexey Alexandrov.

And special thanks to Alexander Vildyaev for checking English documentation, web site, and translating English language user interface.

SmartBackup incorporates compression code by the Info-ZIP group. There are no extra charges or costs due to the use of this code, and the original compression sources are freely available from anonymous ftp from the Internet site ftp.uu.net:/pub/archiving/zip.

See also:
About SmartBackup
About Onlime Media


SmartBackup - Support and Questions

Support and Questions

If you have already purchased licenses for our product(s), please write to reg_support@onlimemedia.com. We quickly respond to all questions submitted to this e-mail address in the order they are received.

If you are not yet a Onlime Media customer, please use this address: support@onlimemedia.com.

At any time, you can use our online Problem Submission Form to contact our support staff.

Our staff is available to respond to your inquiries 24 hours a day, excluding holidays. Messages are normally answered within one business day.

* * *

To check whether you have the most recent version of SmartBackup, please check the SmartBackup home page at http://www.onlimemedia.com/smartbackup.html, or send e-mail to support@onlimemedia.com.

Please see the section entitled Frequently Asked Questions for answers to common questions.

Before you contact us, please do the following:

  • Be sure that you're doing everything right. We all make mistakes sometimes... Be attentive.
  • Look at the Help file: it may already contain an answer to your question. A lot of people ask us something like "how do I:", though the complete information is there.
  • Visit SmartBackup home page in the Internet at http://www.onlimemedia.com/. It's a good chance that you'll find the newer version of SmartBackup there. If the serious bug has been found in the program, but the new version is not ready yet, we make the hot fix for it.

But if you still have a problem with SmartBackup and noting else helps, please contact technical support at: support@onlimemedia.com.

When reporting problems, please include the following information:

  • What version of SmartBackup are you running? Select "About..." from the SmartBackup "Help" pull-down menu. Please include the entire "version" line in your problem report.
  • Where did you get SmartBackup (http or ftp site).
  • What version of Windows are you running ((including service packs and other fixes installed), US or international, OEM or not)? For example, Windows NT 4.0 with SP 6, Windows 95 etc.
  • Computer information: CPU type and speed, installed memory.
  • Description of your problem (as much information as possible to retrieve the problem).
    Is the problem reproducible? If so, how?
  • If a dialog box with an error message was displayed, please include the full text of the dialog box, including the text in the title bar.
Note: you may want to read the "How to Determine the Version of Windows 95 in Use" article by Microsoft. Use the following URL: http://support.microsoft.com/support/kb/articles/q158/2/38.asp.

In order to get the complete computer information (working under Windows 95), open the "Control Panel", click on "System" applet and press "Print" on "Device Manager" tab.

If you have any comments or suggestions for the next releases, please don't hesitate to post them to us.

You can press F1 at any time while SmartBackup is active for context sensitive help.

See also:
Contacts
Frequently Asked Questions (FAQ's)
System Requirements


SmartBackup - Contacts

Contacts

Company Name:
Onlime Media

Contact E-mail Address:
mailbox@onlimemedia.com
support@onlimemedia.com

Contact WWW URL:
http://www.onlimemedia.com/

See also:
About Onlime Media
Support and Questions
Frequently Asked Questions (FAQ's)


SmartBackup - Frequently Asked Questions (FAQ's)

Frequently Asked Questions (FAQ's)

Select Frequently Asked Questions Category:
 Backup
Schedule
General
Registration-related

* * *

Backup:

Q: I make full Backup and need to create full folders tree from Source, but SmartBackup don't create some folders on destination. Why?
A: By-default SmartBackup exclude empty (if after all the filters there are no files inside) folders from Backup, but you can change this behavior in "Project Properties - File Filter" - just add new filter item - "Include Empty Folders" to your Backup Project.

Q: I have Project with "Exact Copy"backup type. I deleted ALL the files from Source and when I ran the Project - SmartBackup gave me message"Warning! Source files list is empty. Nothing to do!" Aren't files in Destination supposed to be deleted when the corresponding one in Source is missing?
A: This is by SmartBackup design. If there are no Source files SmartBackup will not start a Project for preventing your Backup copy from data loss.

* * *

Schedule:

Q: When Schedule started using Task Scheduler, a few seconds after completing the Backup SmartBackup closed automatically. Why?
A: By-default SmartBackup add "/ExitWhenIdle" command line option for new task in MS Task Scheduler. Open "Project Properties" dialog for your Backup Project and select "Project Schedule" dialog tab. Then click "Add/Modify..." button to open Task Properties dialog, and then remove "/ExitWhenIdle" command from "Run" line. After completing these steps SmartBackup will not close automatically after Project's work is finished.

* * *

General:

Q: I get the startup window with your company name, then after a few seconds the logo screen disappears and nothing happens. I have to launch the program again to use it.
A: This was a SmartBackup splash screen. It shows every time when you start SmartBackup, but you can turn it off in the "Preferences - Startup and Shutdown" dialog (uncheck "Show splash screen at startup").
Usually (and it's SmartBackup default setting) when you launch SmartBackup it sits as an icon in the Windows system tray (near the clock) until you double-click on it. When you double-click the icon, the SmartBackup main window opens. You can change this behavior in the "Preferences - Startup and Shutdown dialog" - uncheck "Run minimized" and next time you start a program SmartBackup will show it's main window as you expect.

Q: How can I exit the program?
A: Under normal conditions, you should let SmartBackup run all the time. This will allow it to keep your files updated as desired.
To exit SmartBackup:
1. Click the right mouse button on the SmartBackup icon on the system tray toolbar.
2. Select "Exit" from the pop-up menu.

Q: How to uninstall the program?
A: See SmartBackup Uninstallation help page.

* * *

Registration-related:

Q: What is the easiest way to register SmartBackup?
A: Online, with a credit card, at http://www.onlimemedia.com/order.html. See the Purchasing Information help topic for more information.

Q: Is it safe to use my credit card on the Internet?
A: If you follow the secure link on the online registration page, it is infeasible for a third party to intercept your credit card information.

Q: I do not have a credit card. Can I register SmartBackup?
A: Please visit Order page at Onlime Media site for full ordering options information. See the Purchasing Information help topic for more information.

See also:
Support and Questions


SmartBackup - Purchasing Information

Purchasing Information

Ordering and Payment Methods
Order through the World Wide Web
Fax or Phone Orders
Check and Cash Orders
Wire Transfer (Bank Transfer)
Invoices / Purchase orders
Products Pricing
Education Discounts

Ordering and Payment Methods

We accept five types of payment: Online, Fax, Phone, Wire Transfer, Mail and Invoices / Purchase orders. Secure Payments assured. All payment must be in US currency.

Our software is available for immediate download. Once you have purchased the product by filling in the online order form, a license will be sent to you via email to unlock the software for use. You may download the trial software before or after you complete the purchase process.

Your license will be valid for all future versions of the product. You will never be charged for upgrades!

If you do not receive your product license within a reasonable amount of time (usually two business days for credit card payments or two weeks for other payments), please notify us! We apologize for any inconvenience caused by such delays.

Onlime Media has selected RegSoft.com Inc. to process credit card orders. Your purchase will appear on your statement as a charge to RegSoft.com.

Order through the World Wide Web

This is the fastest and easiest way to order Onlime Media products. Your credit card information is sent directly to the credit card processor in a highly secure manner. We protect you by ensuring that nobody but you and the automated credit card processor will see your credit card information. You can go directly to the order page:

Secure online registration (RegSoft.com)

Sometimes you may have some problems with secure registration pages, please try to use unsecure page instead:

Unsecure online registration (RegSoft.com)

Fax or Phone Orders

FAX Orders:

It is recommended that you use the online order form generator if you wish to make your purchase by fax.

RegSoft.com Fax Order Line - available 24/7:
US Toll-Free Fax Number : 1-800-886-6030
International Fax Number : 1-208-279-3837
(UK Customers can fax to (0870)132-2485)

Phone Orders:

Call 1-877-REGSOFT (1-877-734-7638)
(international orders please call 770-497-9126)
Please have your Credit Card Ready and the following information:
Product ID: 42004

Please note that the TOLL FREE number listed on this page is for orders only! Please contact Onlime Media for technical support.

Check and Cash Orders

It is recommended that you use the online order form generator if you wish to make your purchase by mail.

You can send your check or money order to RegSoft.com Inc. USA office:

RegSoft.com Inc.
PMB 201
10820 Abbotts Bridge Rd
Suite 220
Duluth, GA 30097 USA

Please make U.S. checks payable to "RegSoft.com Inc."
(U.S. customers: Please do not send cash. It is illegal to mail cash in the United States.)

Wire Transfer (Bank Transfer)

You can also use the wire transfer (to our bank account); contact Onlime Media (sales@onlimemedia.com) for more details.

Invoices / Purchase orders

Companies with purchasing departments that do not use credit cards usually use Purchase Orders. We accept orders on account only from established companies that have faxed us signed Purchase Orders on their company letterhead. We have given the customer a payment deadline of 30 days from purchase (Terms: Net30). Please attach standard order form to your purchase order (you can generate it using our Online Order Form Generator) and notify us via e-mail sales@onlimemedia.com after you sent (or faxed) the Purchase Order.

Please use company letterhead to submit the purchase order. Include your company's mailing address as well as billing address. Purchase orders need to be signed by a purchasing agent of your company. Please give name for the point of contact. Include all pertinent telephone numbers, both voice and fax. Most Importantly please include the email address of the person you would like to have the license information emailed to. Please include the Product ID number 42004 as well as the cost of the program. The vendor needs to be made out to RegSoft.com Inc. and not Onlime Media. RegSoft.com Inc. addresses are here. You can call to RegSoft if you have any purchase-related questions (see phone numbers above).

To send Purchase Order use following:

FAX:

1-208-279-3837
Or Toll Free fax line at 1-800-886-6030
(UK Customers can fax to (0870)132-2485.)

Snail Mail:

RegSoft.com Inc.
PMB 201
10820 Abbotts Bridge Rd
Suite 220
Duluth, GA 30097 USA

Products Pricing

Number of licenses:

Number of licenses: | Price per unit:
1 | $29.95 US
2..5 | $24.95 US
6..10 | $19.95 US
11+ | $14.95 US
Unlimited (Site License) | $999.95 US

Our products are licensing on per computer basis, not per network, per site or per company. Please read License Agreement for further details.

If you are interested in an unlimited license, please contact our sales staff: sales@onlimemedia.com

Education Discounts

Eligible Academic and Educational Institutions and the Students, Faculty and Staff of accredited Colleges, Universities and other institutions are able to purchase Onlime Media software at up to 50% discounted pricing. For more information on eligibility, click here. If you wish to purchase Academic versions of Onlime media software, you should e-mail sales@onlimemedia.com for pricing and purchase arrangements.

See also:
About SmartBackup
About Onlime Media
Support and Questions
Contacts


SmartBackup - Copyright/License/Warranty

Copyright/License/Warranty

SmartBackup™ Copyright © 1996-2002 by Onlime Media. All rights reserved.

Registered Version

One registered copy of SmartBackup may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both.

You may access the registered version of SmartBackup through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. For instance, if 8 different workstations will access SmartBackup on the network, each workstation must have its own SmartBackup license, regardless of whether they use SmartBackup at different times or concurrently.

You may use the registered version of SmartBackup as a hub to copy files from one computer connected on the network to another computer connected on the network, provided that you have obtained individual licenses for the software covering all computers that will be accessed by the hub.

License Agreement

You should carefully read the following terms and conditions before using this software. Unless you have a different license
agreement signed by Onlime Media your use of this software indicates your acceptance of this license agreement and warranty.

The SmartBackup is shareware. This means:

1. The Onlime Media exclusively owns all copyrights to SmartBackup.

2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use SmartBackup, you MUST register.

Once registered, the user is granted a non-exclusive license to use SmartBackup on as many computers as defined by the licensing terms above according to the number of licenses purchased, for any legal purpose. The registered SmartBackup software may not be rented or leased, but may be permanently transferred, in it's entirety, if the person receiving it agrees to the terms of this license. If the software is an update, the transfer must include the update and all previous versions.

3. The SmartBackup unregistered shareware version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of SmartBackup without written permission from the copyright holder.

4. SMARTBACKUP IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE IT AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

5. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
Onlime Media reserves all rights not expressly granted here.

6. Installing and using SmartBackup signifies acceptance of these terms and conditions of the license.

7. If you do not agree with the terms of this license you must remove SmartBackup files from your storage devices and cease to use the product.

Thank you for using the original SmartBackup.

See also:
Purchasing Information
About SmartBackup
Support and Questions


SmartBackup - System Requirements

System Requirements

The 32-bit version of SmartBackup at least requires Windows 95 or Windows NT 4.0. It will not run under Windows NT 3.1 or 3.5.

SmartBackup was tested and working with no problem with the following Microsoft operating systems:
Windows 95;
Windows 98;
Windows Me;
Windows NT 4.0;
Windows 2000;
Windows XP.

No other programs are required to work with SmartBackup.

See also:
SmartBackup Installation
SmartBackup Related Files


SmartBackup - Related Files
Filename | Description
smartbackup.exe | main executable
smartbackup.dat | projects database file
smartbackup.chm | documentation in Windows HTML help format
english.lng | English language interface file
readme.txt | introductory information
history.txt | versions history
license.txt | license agreement/warranty
vendor.txt | information for shareware distributors
order.txt | purchasing information
file_id.diz | brief description for bulletin boards

See also:
System Requirements


SmartBackup - SmartBackup Installation

SmartBackup Installation
Important! If you've got SmartBackup not from our web page, but from the other source (magazine CD or some software library), please visit SmartBackup home page - you'll probably find the later version; usually, we release the updates about once a month.

To install SmartBackup from the folder where you have downloaded the distributive, follow this procedure:

Choose Run from the Start Windows menu
type the path to the necessary folder containing the SmartBackup distributive, add slash ("/") and type setup.exe
press the [Enter] key

The SmartBackup Setup program will issue a number of prompts. Unless you have a reason to override the defaults it is strongly recommended that you accept the installation default settings (just press OK, Yes, or Next, as appropriate).

See also:
System Requirements


SmartBackup - Uninstallation
Under Windows 95/98/Me/NT/2000/XP you can uninstall SmartBackup from the Control Panel -> Add/Remove Programs window. Activate the Control Panel, double-click Add/Remove Programs, and double-click on the "SmartBackup" list box entry.

Technical details:
The "Uninstall SmartBackup" procedure performs the following steps:
Verify it is safe to uninstall
Delete files in SmartBackup folder if they were installed by this version of SmartBackup and if the file's date/time stamp matches smartbackup.exe.
Remove the SmartBackup icons and program group
Remove the SmartBackup entries from the registration database

Manual procedure:
1. Select "Startup..." from the “Project” -> “Preferences” menu of SmartBackup.
2. Uncheck “Run at system startup” checkbox.
3. Click OK.
5. Exit SmartBackup by right clicking on the icon in the system tray and selecting "Exit".
6. Delete the folder “C:\Program Files\SmartBackup” or the folder where you have installed SmartBackup.
7. Remove the registry key “HKEY_CURRENT_USER\Software\Onlime Media\SmartBackup” for all users.

See also:
SmartBackup Related Files
SmartBackup Installation
System Requirements


SmartBackup - User Interface

User Interface

Hover your mouse pointer over any outlined part of the graphic below to display popup help. Click to view additional information.

Main SmartBackup Window

1. The SmartBackup menu contains three sections - Project, View and Help. With the help of the menus you can easily access any components of the program.

2. The most common commands can be found on the SmartBackup main toolbar.

3. Use Project Group List to organize projects by category in project groups.

4. A Project List is a catalog of your projects. Note that the list contains the projects of the currently selected group (or all of your projects, if the uppermost group “All Projects” is selected).

5. Program Tips.

6. Activity Log Display.

7. The Status Bar provides additional information while you are using SmartBackup.

See also:
Quick Start
Project Properties
Copyright (c) 1996-2002 Onlime Media. All rights reserved. Project Groups List Projects List View Program Tips Activity Log Display Main Menu Tool Bar Status Bar


SmartBackup - Menus

Menus

This section of the help file thoroughly describes SmartBackup menu commands.

Project [image] Offers commands for working with projects
New... (Insert) | Create a new project
Edit... (Alt+Enter) | Display the properties of the selected project
Delete... (Delete) | Delete selected project
Duplicate | Create duplicate of the selected project
Create Shortcut... | Select folder to place the shortcut for currently selected project

Project Groups: Sub menu Contains commands for managing project groups

New... | Create a new project group
Edit... | Rename the currently selected project group
Delete... | Delete current project group
Reorder... | Change order of project groups

Run (Enter) | Execute selected backup project(s)
Suspend (Ctrl+S) | Suspend or resume backup
Abort/Stop... | Terminate selected backup(s) unconditionally

Preferences: Sub menu Display program options

Startup and Shutdown... | Modify startup and shutdown options
Project Protection... | Modify project protection options
Performance... | Modify program performance settings
Power Management... | Modufy power management settings
Activity Logging... | Modify logging options
Event Confirmation... | Modify program behaviour on various program events
Interface Language... | Here you can change SmartBackup interface language

Close (Alt+F4) Close the current window / Shutdown SmartBackup

View [image] Offers commands for customizing the main SmartBackup window
Menu Bar | This menu item is for showing/hiding the menubar in the main SmartBackup window (hiding is disabled).
Tool Bar | This menu item shows or hides the toolbar in the main SmartBackup window. You can hide or unhide the toolbar according to your preferences.
Project Groups | Show/hide the Project Groups List tool window.
Log | Show/hide the Activity Log Display tool window.
Program Tips | Show/hide the Program Tips tool window.
Status Bar | This menu item shows or hides the Status Bar.
Large Icons | Display items by using large icons
Small Icons | Display items by using small icons
List | Display items in a list
Details | Display information about each item in window

Arrange Icons: Sub menu Contains commands for arranging items in the window

by Project Name | Sort projects list alphabetically by names
by Type | Sort projects list by project type
by Last Run | Sort projects list by last run date and time
by Next Run | Sort projects list by next run type
by Source Folder | Sort projects list by source folder
by Destination Folder | Sort projects list by destination folder
Sort Order A..Z | Change projects list sort order to ascending (A..Z)
Sort Order Z..A | Change projects list sort order to descending (Z..A)

View Source Folder | Display source files in Windows Explorer
View Destination Folder | Display destination files in Windows Explorer
View Versions Archive Folder | Display versions archive files in Windows Explorer
View Deleted Archive Folder | Display deleted archive files in Windows Explorer

Help [image] Offers functionality information and explains how to use SmartBackup.
Contents (F1) | This command calls the SmartBackup Help file
Getting Started | View the very basic steps you need to follow to start using SmartBackup - Quick Start
Search for help on... | Search for help on a specific topic
How to register | Display software registration and ordering information
SmartBackup Homepage | This command will start your default Web browser and open the Onlime Media Web site - www.onlimemedia.com
Register SmartBackup Online | Detailed information about purchasing SmartBackup is located at www.onlimemedia.com/order.html
About... | This command displays SmartBackup version and build number, copyright and license information.

See also:
User Interface
Main Toolbar
Quick Start


SmartBackup - Main Toolbar

Main Toolbar

This section of the help file thoroughly describes toolbar commands.

The most common commands can be found on the SmartBackup toolbar. You can move this toolbar and place it wherever it is convenient for you.

The following commands (from left to right) are on the toolbar:

Add project (Insert) | Create a new project (see also: Quick Start)
Edit project (Alt+Enter) | Display the properties of the selected project
Delete project (Delete) | Delete selected project
Run (Enter) | Execute selected backup project(s) (or project group)
Suspend (Ctrl+S) | Suspend or resume backup
Add group | Create a new project group
Edit group | Rename the currently selected project group
Delete group | Delete current project group
Preferences | Display program options
Help contents (F1) | This command calls the SmartBackup Help file
SmartBackup Homepage | This command will start your default Web browser and open the Onlime Media Web site - www.onlimemedia.com
About | This command displays SmartBackup version and build number, copyright and license information.

See also:
User Interface
Menus
Quick Start
Copyright (c) 1996-2002 Onlime Media. All rights reserved. Display information about SmartBackup SmartBackup Home Page Help contents Suspend (Ctrl+S) Delete project group Edit project group name Delete project (Del) Change poject properties (Alt+Enter) Create new project (Insert) Create new project group Run (Enter) Preferences


SmartBackup - Working with project groups

Working with project groups

Using this Project Group List you can organize different projects in project groups. This makes locating specific projects easier, and allows you to start/stop backup for several grouped projects at once.

The currently selected group is marked by a blue arrow. The project list shows the selected group’s projects, or all existing projects if the All projects group is selected.

You can show or hide the Project Groups according to your preferences with View -> Project Groups.

All Projects group

The uppermost (root) object is called All Projects and cannot be deleted or renamed. Selecting this object shows all projects regardless of their assigned groups.

To create a new project group

Right click on the All Projects group, select [image] New... and enter a name for the new group.

To delete a project group

Right click on the group you want to delete and select [image] Delete.... If the group has any projects in it they will be moved to All Projects group automatically. The All Projects group cannot be deleted.

To rename a project group

Right click on the group item you want to rename, select [image] Rename... and enter a new name for the group. The All Projects group can not be renamed.

To move a project to a project group

Drag a project to a group to move it to that group. The project will be visible under this group and under the All Projects group. When you create a new project it is automatically assigned to the current group. You can move it to another group or to the All Projects group after it is created.

To remove a project from a project group

Drag a project to the All Projects icon to remove it from the current group.

To run all projects in a project group

Right click on the group and select [image] Run.

See also:
User Interface
Quick Start
Project Properties


SmartBackup - Working with projects list

Working with projects list

This list displays the projects of the current project group, or all of your projects if All projects is selected:

To create a new backup project

Right click somewhere on the Project List and select [image] New... (alternatively you can press the "INSERT" key on your keyboard) to launch the Project Properties dialog for your new SmartBackup project.

Tip:
Open the Quick Start help topic to view the very basic steps you need to follow to start using SmartBackup.

To change project properties

Right click on the project item you want to change properties, select [image] Edit... (alternatively you can press "ALT+ENTER" on your keyboard) to launch Project Properties dialog for that project.

To delete a project

Right click on the project you want to delete and select [image] Delete.... (alternatively you can press the "DELETE" key on your keyboard). The program will request to confirm the deletion; if you answer “Yes” the project will be deleted.

To run a project manually

Right click on the project and select [image] Run (alternatively you can press the "ENTER" key on your keyboard).

To organize different projects in project groups

See: Working with project groups.

See also:
User Interface
Quick Start
Project Properties


SmartBackup - Program Tips

Program Tips

This panel displays helpful tips to help you use SmartBackup.

The Program Tips panel shows new program tip every time you start SmartBackup. You may show / hide Program Tip panel from View -> Program Tips.

Show previous program tool tip
Show next program tool tip
Open help window with more information about currently displayed program tool tip
Open help contents window

See also:
User Interface
Quick Start


SmartBackup - Activity Log Display

Activity Log Display

SmartBackup keeps an activity log in the Log file you specified and also writes all output to an Log view panel. This will assist you by showing which files and folder branches have been processed.

To view the Log panel

To show or hide the log display select View -> Log

To find text in the Log file

While viewing the log file, enter the text you want to find and press the ENTER key, then you may click on the [image] Find button to search again.

Tip Tip:
You can search for the word “Error” to look for errors in the process.

To save the Log file

You can save the log file for later viewing or analysis. To save the log file, click on the [image] Save As button and enter a new file name.

To set Logging options

To change SmartBackup activity logging settings, click on the [image] Options button to launch the Preferences | Activity Logging dialog.

See also:
Activity Logging Options
User Interface
Quick Start


SmartBackup - Status Bar

Status Bar

The Status Bar provides additional information while you are using SmartBackup. This information includes the total number of projects, currently running number of projects, and the project progress indicator. You can turn the Status Bar on and off with View -> Status Bar.

See also:
User Interface
Quick Start


SmartBackup - Program Preferences

Program Preferences

You can change many of SmartBackup configuration settings from the Preferences dialog box. To access the dialog box, choose Preferences from the Project menu or click on [image] Preferences button on the Toolbar. The options in the Preferences dialog box are grouped under several tabs. When you have finished setting preferences, click on the OK button.

Choose a link in this list to get more information:

Startup and Shutdown
Project Protection
Performance
Power Management
Activity Logging
Event Alerts
Interface Language

See also:
Quick Start


SmartBackup - Preferences - Startup and Shutdown

Preferences: Startup and Shutdown

Deciding when SmartBackup should start:
Run at system startup - Check to let SmartBackup start itself when you log in. Uncheck it to only run SmartBackup when you need it.

Run minimized - Check to let program start as an icon on the system tray. Uncheck it to see the main window when SmartBackup starts.

Hide icon from system tray - Check to hide SmartBackup icon from the system tray. If SmartBackup icon is hidden it will run in the background, but you will not see the icon. If you want to see the main screen while it is running in the background, simply start SmartBackup again from the Start menu.

Shutdown when main window is closed - Check to exit SmartBackup when you close the main window. If this is not checked SmartBackup closes the main window but continues to run minimized on the system tray.

Show shutdown confirmation dialog - Check to display SmartBackup Shutdown confirmation dialog when you exit the SmartBackup application.

Show splash screen at startup - If checked SmartBackup will display its splash screen whenever you launch the application. The splash screen shows the Onlime Meda logo and the version number of SmartBackup.

See also:
Program Preferences


SmartBackup - Preferences - Projects Protection

Preferences: Projects Protection

Enter a password to protect other users from changing the projects properties.

Note Note:
By default SmartBackup projects protection feature is disabled, therefore it is recommended to assign your password at the start of using program.

Assigning a Password

To assign a new password use the Projects Protection tab in the Preferences dialog. Type nothing in the Current password field (to change an existing password - enter your current password in the Current password field) and check Change password. Then type your new password into the New password field and repeat it in the Confirm password field for verification. Also, you may want to enter a security phrase (can be helpfull in case you forget your password). Each time the program asks for a password the Reminder button will present, by pressing on which the Security Phrase will be shown.

Once the password is set, you cannot edit the projects properties without the password. Users can still run the projects without knowing the password.

Caution Caution:
If you forget the password it cannot be recovered.

To remove password protection, delete the two password entries.

See also:
Program Preferences


SmartBackup - Preferences - Performance

Preferences: Performance

SmartBackup performs copies as a background task. By default this task is done with the minimum impact on the foreground applications you are running. This makes the copy process less intrusive, but also a little slower than normal. Set the priority to a level between Idle and Realtime (if you set last option - all other programs except SmartBackup will work very slow) to suit your needs.

Recommended option is: Idle (lowest CPU consumption).

Allow only one running backup process at each moment of time - by checking this option you disallow simulateous running of several backups that may give a gain of productivity and will reduce system load.

With this option checked, for example, if First Project is already running and you launch Second Project - Second project will wait until the First Project finish it's work and only then start to copy files.

See also:
Program Preferences


SmartBackup - Preferences - Power Management

Preferences: Power Management

Power Management Options:

Don't start backup when the computer is running on batteries - Specifies whether the scheduled project is prevented from starting while your computer is running on batteries. Some programs frequently access your hard disk, which drains the batteries faster. You can extend the life of your batteries by selecting this check box.

Wake the computer to run backup - Specifies whether the computer wakes to run the project at the scheduled time, even if the computer is in Sleep mode and uses OnNow power management.

Action when the Battery Mode begins:

Continue - If checked, all started SmartBackup projects will continue working with no interference.
Suspend - If checked, SmartBackup will go in Suspend mode ( [image]) until you manually swith this mode OFF.
Abort/Stop - If checked, the scheduled SmartBackup project stops running ( [image]) when your computer starts running on batteries.

See also:
Program Preferences


SmartBackup - Preferences - Activity Logging

Preferences: Activity Logging

Enable SmartBackup activity Logging - If checked, SmartBackup will document its real-time performance (like project startup, processed file names etc.) in the Log file you have specified.

Select Log file name:

Type in any log file name you like.

Caution Note:
Please note that the log file name must be a valid file name with an extension.
If you don't specify full path to the log file here SmartBackup automatically saves the log file under the program path.

Maximum Log file size:

SmartBackup overwrites the log file when it grows beyond a certain size. You can change this size limit by entering a number in the box labeled Maximum file size. The file size you enter is in KiloBytes. If you set this number to zero, SmartBackup will overwrite the log file every time it starts.

Include in log:

You can reduce the size of the Log by unchecking unnecessary options. It allows you to log only error messages rather than all the file-copying messages. It is recommended that you do not change these options until you are familiar with the SmartBackup operations and the Log. After you have run SmartBackup for a few days and are satisfied with its performance, feel free to adjust these options.

Project startup information and summary - Log project startup and summary information.

Normally processed files - Log information about every normally processed file.

Warnings - Log warning messages.

Errors - Log critical error messages.

See also:
Program Preferences


SmartBackup - Preferences - Event Alerts

Preferences: Event Alerts

Use this tab to control SmartBackup behavior when various events occur, for example you can select the sound that will be played when a backup project is started or completed, or a critical error occurs etc...

You can personalize alerting messages and sounds for the three possible ways of executing a project:
1) Scheduled Project Run - for projects run automatically using SmartBackup Schedule;
2) Manual Project Run - for projects run manually by pressing the [image] Run button on the toolbar or the "Enter" key;
3) Application Silent Mode - a special command-line mode started using the command “smartbackup.exe /silent”; this can come in handy if you wish to run a project automatically using MS Windows Task Scheduler and utilize SmartBackup event alerts.

You can select individual alert settings for the following events:
Project start - this event launched at every project startup.
File operation - every file operation (copy, move, etc.).
Disk Spanning - this event will be launched if there is no free space, allowing you to insert the next disk. This event will be launched only if destination is an removable media device, in case of fixed disk an Error event will be launched.
Critical Error - every project error message.
Warning - every project warning message.
Project Finish - launched when project finished working.

You can use the following notifications types:
Show message dialog
Show balloon message at system tray
Play sound

See also:
Program Preferences


SmartBackup - Preferences - Interface Language

Preferences: Interface Language

Yes, SmartBackup can speak in your language!

Choose Project -> Preferences -> Interface Language menu item to display language selection dialog. In this dialog all installed interface languages are listed. Using the drop-down box, select the language file to be used, and press OK.

Note Note:
After changing the interface language program need to be restarted.

If your language is not listed here you can create the required file yourself. It is quite simple: just use the file english.lng (located in SmartBackup program directory) as a template; translate all words and sentences from English into the language of your choice. The file has to be saved with the name yourlanguage.lng (e.g. esperanto.lng).

Just three notes here. First, don't translate in english.lng the words in square brackets (e.g. [Translations] and [Messages] - those are the "standard" headers which should not be changed) and the sentences before the "=" sign, because the program uses these words as an ID of the translated text. Second, try to keep the sentences as short as they appear in the English version – otherwise they probably will not fit in the dialog boxes; in some cases the program may even crash if some messages are too long. And last: don't change things like %s, %d or 0x%08X – these are the format specifiers.

By the way, don't forget to inform us that you've made a new international version – we'll include this file into the next version of SmartBackup. If you contact us prior to starting the translation (to be sure that you're the only person who is doing this work), you can receive free registration!

See also:
Program Preferences


SmartBackup - Project Properties

Project Properties
Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using SmartBackup.

A project is a set of options that defines what files should be copied, where to, how often etc.

Project properties are divided into 7 categories. Click on the links below to view more information about each category:

1. | Project Name - Describe project's purpose
2. | Backup Type - Select backup method
3. | Source - Select source files folder
4. | Destination - Select destination file(s) folder
5. | File Filter - Specify files you plan to back up
6. | Schedule - Specify backup time interval
7. | Additional Options - Select additional options

See also:
Quick Start


SmartBackup - Project Properties: Naming your Project

Project Properties: Naming your Project
Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using SmartBackup.

Project Name

You can assign a suitable name for each Project to describe its purpose.

The name can be any text string; there can also be two or more projects with the same name.

Project ID

As opposed to a project name there is aProject ID (Identifier) — a 20-digit hexadecimal number unique for each of the SmartBackup projects. This ID is randomly generated by SmartBackup and stays constant throughout the project's life.

This ID is intended for launching a project from Microsoft Task Scheduler or the command line.

Tip:
Project ID is read only edit field, so you can easily Copy that hexadecimal number to clipboard and Paste it somewhere (for example in Windows command line prompt).

See also:
Project Properties
Quick Start


SmartBackup - Project Properties: Selecting backup method

Project Properties: Selecting backup method

Choose backup type from the list to view more information:
Simple Copy
 Exact Copy
Move
 Compress
 Exact Compress
Syncronize

Note:
The first time SmartBackup runs a project, it copies files as specified. In subsequent runs, it only process files that are newer or updated since the last run.

Simple Copy
Safest

Select "Simple Copy" to copy all files from the Source folder to the Destination folder but not vise versa. Destination files are never deleted.

Available Additional Options:
Overwrite newer destination files
Process "in use" files
Compare files after copy
Keep source files in a subfolder of destination maintaining the source path
Overwrite non-empty destination files by empty (zero length) source files
Clear the source Archive bit after copy
Keeping old file versions

Exact Copy
Ideal for most situations

Select “Exact Copy" if you want the destination copy to match the source with no extra files. When a source file is deleted its counterpart on the destination gets deleted too.

If you delete files from the source, they will be deleted from the destination the next time SmartBackup runs the Project.

Caution Caution:
Any files or folders in destination folder that match the selection criteria, but do not match files or folders in source folder are considered obsolete and will be deleted. This may cause loss of data if you have any other files in destination folder that are not related to this project.

Available Additional Options:
Overwrite newer destination files
Process "in use" files
Compare files after copy
Keep source files in a subfolder of destination maintaining the source path
Overwrite non-empty destination files by empty (zero length) source files
Clear the source Archive bit after copy
Keeping old file versions
Options for Obsolete Files Deletion

Move
Move

Files are copied and then deleted from the source.

Available Additional Options:
Overwrite newer destination files
Process "in use" files
Keep source files in a subfolder of destination maintaining the source path
Overwrite non-empty destination files by empty (zero length) source files

Compress
Good for infrequent off site backups

Files are compressed into a Zip file at the destination.

Use "Compress" to save disk space on the destination drive. The files are compressed in a PKZIP-compatible format and can be uncompressed by PKUNZIP or WinZip programs. Enter a password to protect the compressed archive. You will need this password to extract the files.

Caution Caution:
If you forget the password it cannot be recovered.

Available Additional Options:
Overwrite newer destination files
Process "in use" files
Keep source files in a subfolder of destination maintaining the source path
Options for Zip Compression

Exact Compress
Good for medium sized data

Use "Exact Compress" to compress files as above, but if you delete files from the source, they will be removed from the ZIP archive.

Available Additional Options:
Overwrite newer destination files
Process "in use" files
Keep source files in a subfolder of destination maintaining the source path
Options for Obsolete Files Deletion
Options for Zip Compression

Synchronize
To share files between multiple locations

Synchronize source and destination to match exactly.

Use "Synchronize" to copy files both ways. Synchronization is useful for managing files at two different locations. It allows you to add or edit files in either the source or the destination folders. No files are deleted.

Available Additional Options:
Process "in use" files
Compare files after copy
Overwrite non-empty destination files by empty (zero length) source files

See also:
Project Properties


SmartBackup - Project Properties: Source Folder

Project Properties: Source Folder
Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using SmartBackup.

Click on the Browse... button to select the folder containing the files you want to copy. You can also type the full path of the folder in the space next to this button.

Check "Include Sub Folders" to include subfolders in the backup.

Examples:

A folder on your computer may be called:

c:\My Documents\Projects

or a folder on another computer in a network may be called:

\\DataServer\Shared\Carrey’s Files

Click on "Multiple Source Folders >" label to enable multiple source folders to be included in your current Backup Project.

To add new folder to list: type path in edit box or press "Browse..." and then click the "Add" button. Also you may want to specify whether to include subfolders in the backup by checking "Include Sub Folders" before pressing the "Add" button.

The "Edit" and "Remove" buttons are used for editing source folders list contents.

After you have chosen information that to copy, it is necessary to define where the information should be copied to. See "Choosing of destination location".

Tip:
Even here you can use Folder Expansion Variables.

See also:
Project Properties
Quick Start


SmartBackup - Project Properties: Destination Folder

Project Properties: Destination Folder
Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using SmartBackup.

Click on the Browse... button to select the folder to which the files should be copied. You can also type the full path of the folder in the space next to this button.

Examples:

A folder on your computer may be called:

c:\Backup of my Documents

or a folder on another computer in a network may be called:

\\BackupServer\Monthly Backup

or, using incremental backup:

\\BackupServer\Monthly Backup %date%

If you selected Compress or Exact Compress backup types, you should provide Destination ZIP file name. You may press Browse... or type ZIP file name in Destination ZIP file name edit box.

Tip:
You can use Folder Expansion Variables in the Destination Folder dialog to set up incremental backup.

See also:
Project Properties
Quick Start


SmartBackup - Project Properties: File Filter List

Project Properties: File Filter List
Project Properties > File Filter List > File Filter Properties
Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using SmartBackup.

Use File Filter to include or exclude certain files from your backup. SmartBackup provides practically all possible variants of file filtering based on filename, folder in which the file is residing, date and time of file modification, file attributes, file size and so on...

Use the Add..., Modify..., Delete... buttons at the bottom of the Filter List to edit list content.

To copy all files from the source folder, leave the default filter setting "Include files matching the wildcard (*.*)".

SmartBackup searches for all files in the source folder. Only those files that match the Include criteria are copied, unless they are excluded by the exclude criteria.

If there are no exclude criteria, all files meeting the include criteria are copied. If there are no include criteria, no files are copied.

Note Note:
SmartBackup searches for files and folder only below the source and destination folders for that project.

Two Ways to Filter Files

One way: you separately add file extensions that you are going to include in your backup:

+ Include files matching the wildcard: '*.doc'.
+ Include files matching the wildcard: '*.xls'.
+ Include files matching the wildcard: '*.txt'.

The other way: you add all files (*.*) and then exclude files that are not needed in the backup:

- Exclude files matching the wildcard: '*.~???'.
- Exclude files matching the wildcard: '*.swp'.
- Exclude files matching the wildcard: '*.tmp'.
- Exclude files matching the wildcard: '*.bak'.
+ Include files matching the wildcard: '*.*'.

Filter Item Priority

The buttons on the right are for defining file filter item priority. The top element has the highest priority. For example, the following filter:
   - Exclude files matching the wildcard: '*.*'.
   + Include files matching the wildcard: '*.*'.
will exclude ALL files from the backup, because "Exclude..." is above "Include...".

Testing Current Filter Settings
Click on Test Current Filters button to view the list of actual file names that will be included in your backup.

You must specify Source and Destination folders in your project properties to test your files filter settings. When you press Test Current Filters, SmartBackup imitates real backup behaviour and therefore needs to "know" real Source and Destination values.

See also:
Project Properties
Quick Start


SmartBackup - Project Properties: Schedule

Project Properties: Schedule
Project Properties > Schedule > Schedule Dialog
Tip:
Open the Quick Start help page to view the very basic steps you need to follow to start using SmartBackup.

SmartBackup offers a wide range of project launching options, including:

  • Run manually
  • Autorun on folder contents change
  • Autorun using internal schedule
  • Autorun using Microsoft(r) Task Scheduler

Run manually

Select "Run Manually" if you do not want SmartBackup to copy files automatically. To start a project click on [image] Run button on the toolbar or select "Project | Run" from the menu (alternatively, you can press the "ENTER" key).

Autorun on Folder Contents Change

This option allows to keep an eye on the source folder and to monitor any file system activity, including changes in:

file and folder names;
file and folder attributes;
file size;
file/folder last write, last access and creation date/time;
file/folder security attributes.

When something changes in the source folder (or in one of its subfolders if "Source - Include Subfolders" is checked) SmartBackup will automatically initiate a backup, so your backup copy will be always up to date.

This option makes for practically real-time backups, which is useful if a project requires an especially fast refresh of the backup copy.

Autorun Using Internal Schedule List

If you want to make backups according to a schedule, SmartBackup provides practically all possible variants.

Use the Add..., Modify..., Remove... buttons of the Internal Schedule List to edit its content.

Autorun Using Microsoft(r) Task Scheduler

Normally, to enable scheduled backups you must set SmartBackup to start every time Windows starts, otherwise your projects will not run automatically.

However, using this SmartBackup feature you can schedule your backups using MS Task Scheduler included in Internet Explorer version 4 and above or Windows 98/Me/2000/XP. This allows you to avoid starting SmartBackup with every start of Windows: rather, it will be started by Task Scheduler as necessary, launch the scheduled project and terminate automatically.

You should first set up SmartBackup and make sure it works to your satisfaction before using this feature, as it operates on all of the settings you have made in the main program. It is recommended that you set the /Silent=On command line option.

You can set the /ExitWhenIdle option to on, SmartBackup will then close when finished. Or you can leave this option off to see that the program did in fact run at the scheduled time. You can also view the log file to make sure your backup was made correctly.

Tip:
To launch Task Scheduler:
1) Windows 95/98: Open "My Computer", or whatever you have named it. Double click the "Task Scheduler";
2) Windows Me/2000/XP: Select "Start" - "Settings" - "Control Panel" and then double click the "Scheduled Tasks".

See also:
Project Properties
Command Line Options
Quick Start


SmartBackup - Project Properties: Additional Options

Project Properties: Additional Options

Backup Options:

Overwrite destination files even if they are newer than source files - normally, SmartBackup does not overwrite newer files with older ones. You can select the “Overwrite destination files even if they are newer than source files” to change that behavior.

Try to process "in use" files - Check this to let SmartBackup try to copy files that are currently in use by other programs by means of advanced locking techniques. If the program that is currently using the file cannot handle this kind of locking mechanism, it may generate errors.
Use this option with caution.

Compare files after copy - Check this to let SmartBackup compare source and destination files after a successful copy is completed. SmartBackup will do a CRC32 comparison of the two files. Selecting this option will slow down the copying since each file will have to be reopened and reread to be compared.

Note Note:
File comparison will not be done on files that are moved to an archive or compressed.

Keep source files in a subfolder of destination maintaining the source path - Check this to keep source files in a sub folder of destination maintaining the source path.

Overwrite non-empty destination files by empty (zero length) source files - Check this to allow SmartBackup overwrite older destination files by newer, but zero length source files.

Clear the source Archive bit after copy - Check this to clear the source Archive bit (file attribute) after copy.

Keeping old file versions:

When you use Copy or Exact Copy you can also choose what to do with changed files:

Save old files to the File Versions Archive folder - keep old versions of the files in an archive folder. You can set how many older versions you would like to keep.

Whenever you update a source file, SmartBackup will copy the file to the destination after moving the file in the destination to the archive folder.

Older versions of files, with modified extensions, will be kept in the archive folder. For example, older versions of the file FileName.TXT will be named FileName.TXT.20011104191133486, FileName.TXT.20011104211212762 and so on (the 17-digit extension represents the current date and time calculated to the millisecond).

How to delete obsolete files:

When you use Exact Copy or Exact Compress you can also choose what to do with deleted files:

Normal Delete - permanently delete old files from the disk;

Delete to Recycle Bin - move old files to MS Windows Recycle Bin;

Move deleted files to Deleted Files Archive Folder - keep obsolete (deleted) files in an archive folder. You can set how many deleted files with the same names you would like to keep.

Whenever you delete a source file, SmartBackup will move the file in the destination to the Deleted Files Archive folder.

Deleted files, with modified extensions, will be kept in the archive folder. For example, deleted file with the name FileName.TXT will be named FileName.TXT.20011104191133486, FileName.TXT.20011104211212762 and so on (the 17-digit extension represents the current date and time calculated to the millisecond).

Zip Compression:

When compressing to a Zip file, SmartBackup creates a temporary file in the destination folder. This means that the destination folder must have enough disk space to hold the Zip file and the temporary file, which can grow as large as the Zip file itself.

Select the compression ratio to be used when creating a Zip file (0 - store, 9 - maximum compression). Higher ratios make the Zip files smaller but slow down the compression.

You can enter a password here, in order to protect your compressed backup from intruders.

Caution Caution:
If you forget the password, it cannot be recovered.

To remove password protection, delete the two password entries.

Run programs:

You can run an external program either before or after running the project.

Enter the path and program name that should be run before running the project. Check “Wait for program before proceeding” if you want SmartBackup to wait till the program exits before running this project.

Note Note:
The program can be an EXE file, BAT file or any other file that you can run from the Windows command line.

Auto Dial:

The Dial-Up Networking phonebook entry to dial before running the project.

Select the phonebook entry that should be dialed before running the project. This is useful for connecting to a remote computer where the files are located.

Check “Disconnect after running project” to let SmartBackup hang up the modem after copying.

Skip when current hardware profile is:

You can use the Windows Hardware Profiles feature to create and save projects of different computer configurations.

For example, if you are using a portable computer, you may want to activate particular devices and services, depending on whether your computer is docked or undocked. You can do this by using the Hardware Profiles feature in Windows. For more information on this feature see the Windows Help file.

Once you set up Windows Hardware Profiles, you can set SmartBackup to skip certain projects depending on the current hardware profile.

See also:
Project Properties
Quick Start


SmartBackup - Command Line Options

Command Line Options

You can run SmartBackup with the following command line options:

Option: | Description:
/Help or /? | Shows this Help window
/Show | Shows Main window
/ShowAboutBox | Shows About box
/Icon=[On|Off] | Turn On/Off icon on the system tray
/Exit | Exits application, prompts user if busy
/ExitNow | Exits application immediately
/ExitWhenIdle | Exits application after copying
/RunAll | Runs all projects
/RunGroup=GroupName | Runs all profiles in a specified group
/RunProject=ProjectName | Run specified project by Project Name
/RunProjectById=ProjectId | Run specified project by Project ID
/Suspend=[On|Off] | Turn On/Off Projects Suspend mode
/Silent=[On|Off] | Turn On/Off application Silent mode

Examples:
smartbackup.exe /RunProjectById=AB58947FE3280BE43CC2 /Silent=On /ExitWhenIdle
command line will start Project with AB58947FE3280BE43CC2 Project ID in Silent mode and will exit SmartBackup when specified project is finished working.
batch command:
smartbackup.exe /RunProject="Project 1" /RunProject="Project 2" /RunProject="Project 3" /ExitWhenIdle

Note Note:
Running SmartBackup without any command line options shows main window.

See also:
Project Name


SmartBackup - Folder Expansion Variables

Folder Expansion Variables

You can enter variable macros as part of the folder names in Source, Destination, Versions Archive, or Deleted Archive folders. SmartBackup expands these variables to the corresponding values when it runs the backup project. There are three types of variables: Builtin variables, Windows Special Folders and Environment variables. Variable names must be enclosed in % signs (for example: %var%).

Tip Note:
All variables are case insensitive. You may type variables all in upper case "%SOURCE%", combined uppercase and lowercase "%Source%", or all in lowercase "%source%". Result will be the same.

Builtin Variables:
The following variables expand to their corresponding values when the Project is run.

Variable Name: | Description:
Source | Source folder full path *, ***
SourceTop | Only last name of the Source folder path *, ***
SourceExcludeRoot | Only root part of the Source folder path (drive letter or UNC server root) *, ***
SourceRoot | SourceRoot returns drive portion for the folder path specified in Source. **, ***
Destination | Destination Folder full path *
DestinationTop | Only last name of the Destination folder path *
DestinationExcludeRoot | Only root part of the Destination folder path (drive letter or UNC server root) *
DestinationRoot | SourceRoot returns drive portion for the folder path specified in Destination. **
VersionsArchive | File Versions Archive Folder full path *
DeletedArchive | Deleted Files Archive Folder full path *
ComputerName | Name of the computer SmartBackup is running on
UserName | Name of the logged-in user
ProjectName | Project Name *
ProjectId | Project ID (20 letters code unical for each Project) *
* Values entered in Project Properties.
** For local folders with drive letters, the result is in the form “<drive>”. For folders with a UNC path the result is in the form “\\<servername>\<sharename>”. If the given source path contains neither style of path prefix, the result is an empty string.
*** If you have multiple Source folders in your Backup project - you can access specific folder by adding a number representing this folder order in list. For example: %Source1%, %SourceTop2%, %SourceRoot2% etc...

Examples:
If Source is "c:\Documents and Settings\Mike\" then in Destination you may type something like this: "g:\Backup\%SourceExcludeRoot%" expands to "g:\Backup\Documents and Settings\Mike\").
If Source is "c:\Documents and Settings\Mike\" then in Destination you may type something like this: "g:\Backup\%SourceTop%" expands to "g:\Backup\Mike\").

DateTime | Date and time as YYYYMMDDHHMMSS
Date | Date as YYYYMMDD
Year | Year as a 4 digit number
Month | Month as a 2 digit number
Day | Day as a 2 digit number
Time | Time as HHMM
Hour | Hour as a 2 digit number
Min | Minutes as a 2 digit number
Sec | Secundes as a 2 digit number
MonthOfYearStr | Month as a short name (Jan, Feb, Mar, etc.)
MonthOfYearString | Month as a full name (January, February, March, etc.)
WeekOfYear | Week of the year number *
WeekOfMonth | Week of the month number *
WeekDayStr | Day of the week as a short name (Mon, Tue, Wed, etc.)
WeekDayString | Day of the week as a full name (Monday, Tuesday, Wednesday, etc.)
WeekDayNum | Day of the week number *
DayOfYear | Number of days from December 31 of the previous year
DayOfWeek | Day of the week number *
HourOfYear | Number of hours from 12:00 AM of the first day of the year
HourOfWeek | Number of hours from 12:00 AM of the first day of the week *
HourOfMonth | Number of hours from 12:00 AM of the first day of the month
MinuteOfYear | Number of minutes from 12:00 AM of the first day of the year
MinuteOfMonth | Number of minutes from 12:00 AM of the first day of the month
MinuteOfWeek | Number of minutes from 12:00 AM of the first day of the week *
MinuteOfDay | Number of minutes from 12:00 AM of the same day
SecondOfYear | Number of seconds from 12:00:00 AM on the first day of the year
SecondOfMonth | Number of seconds from 12:00:00 AM on the first day of the month
SecondOfWeek | Number of seconds from 12:00:00 AM of the first day of the week *
SecondOfDay | Number of seconds from 12:00:00 AM of the same day
* SmartBackup defines the week according to the ISO 8601 standard. That is, the week starts on Monday and ends on Sunday.

Example:
On December 31st 2002, a folder name "C:\Backup\%Date%" will expand to "C:\Backup\20021231".

Windows Special Folders:
The following variables expand to their corresponding values when the Project is run.

Variable Name: | Description:
WindowsDesktop | Desktop Folder *
WindowsInternet | Internet Folder
WindowsPrograms | Path to "Start -> Programs" menu *
WindowsControls | WindowsControls
WindowsPrinters | WindowsPrinters
WindowsPersonal | Path to "My Documents" folder *
WindowsFavorites | Path to "Favorites" folder *
WindowsStartup | Path to "Start -> Programs -> Startup" menu *
WindowsRecent | Path to "Recent" folder *
WindowsSendto | Path to "Send To" folder *
WindowsBitbucket | WindowsBitbucket
WindowsStartMenu | Path to "Start" menu *
WindowsDesktopDirectory | Path to "Desktop" folder *
WindowsDrives | WindowsDrives
WindowsNetwork | WindowsNetwork
WindowsNethood | WindowsNetwork
WindowsFonts | Path to Window's "Fonts" folder (usually "C:\WINDOWS\Fonts")
WindowsTemplates | WindowsTemplates
WindowsCommonStartMenu | WindowsCommonStartMenu
WindowsCommonPrograms | WindowsCommonPrograms
WindowsCommonStartup | WindowsCommonStartup
WindowsCommonDesktopDirectory | WindowsCommonDesktopDirectory
WindowsAppData | WindowsAppData
WindowsPrinthood | WindowsPrinthood
WindowsAltStartup | WindowsAltStartup
WindowsCommonAltStartup | WindowsCommonAltStartup
WindowsCommonFavorites | WindowsCommonFavorites
WindowsInternetCache | WindowsInternetCache
WindowsCookies | WindowsCookies
WindowsHistory | WindowsHistory
* Different value for each Windows user

Environment Variables:

These variables expand to their corresponding values based on the Windows Environment variables.

%VAR% Value of the environment variable VAR.

Example:
On a Windows NT/2000/XP system on a network, a folder name %USERPROFILE% may expand to C:\Documents and Settings\Administrator.

Tip Tip:
You can add your own variable or list current environment variables using Windows "SET" command. See Windows help for details.

See also:
Command Line Options


SmartBackup - Using the Keyboard

Using the Keyboard

You can use shortcut keys to select SmartBackup's commands:

To do this | Press this
Create a new project | Insert
Display the properties of the selected project | Alt+Enter
Delete selected project (Projects Group) | Delete
Start selected Project work (Projects Group) | Enter
Suspend or unsuspend backup process | Ctrl+S
Call the SmartBackup Help file | F1
Go to SmartBackup menu | Alt or F10 or Alt+underline letter

All windows, edit windows & dialogs:

To do this | Press this
Select all text | Ctrl+A
Select a portion of text | Shift+left or right arrow
Copy selections to the Clipboard | Ctrl+C or Ctrl+Insert
Insert Clipboard contents | Ctrl+V or Shift+Insert
Cut a selection and put it on the Clipboard | Ctrl+X or Shift+Del
Undo last text action | Ctrl+Z

See also:
Quick Start


SmartBackup - Making Shortcut to a Backup project

Making Shortcut to a Backup project

A shortcut is a quick way to start a frequently used Backup Project without having to do this task inside SmartBackup user interface.

You can make Shortcut to start any of your Backup Projects and put it in various areas, such as on the desktop, on the Start menu, or in any specific folder.

To make a shortcut to a Backup Project:
Select the Backup Project by clicking on it in list.
On the Project menu, click Create Shortcut.
In the Create Shortcut dialog box select shortcut name and location where shortcut should be placed. Also you may want to check "Shutdown SmartBackup after backup finish".
Click OK button.

See also:
Project Properties - Schedule
Project Properties
Quick Start


SmartBackup - Using accessibility features

Using accessibility features in SmartBackup

In addition to the accessibility products and services available in Microsoft Windows, Windows NT, and Windows 95, the following features make SmartBackup accessible for people with disabilities.

Screen Reader compatibility

All windows, menus and dialogs in SmartBackup are Screen Reader compatible.

Using sounds

If you have cognitive disabilities, you may want to clear this check box to prevent distractions. You can enable or disable selective sounds for project start/finish, errors and warnings alerts so that they do not interfere with an active screen reader.

Resizable windows

You may resize almost any window in SmartBackup as needed. It is possible to display only the main window.

Keyboard access

All features in SmartBackup are accessible to you by using either the keyboard or the mouse. For more information about keyboard access, look up keyboard shortcuts in the Help Index.

Work comfortably with large fonts and high contrast

SmartBackup has been extensively tested for use with large fonts and high contrast modes to make your work as comfortable as possible.

See also:
Quick Start


SmartBackup - Academic Pricing

Academic Pricing

Academic Pricing Qualifications

The academic qualifications listed below are a guideline to help determine the eligibility of an institution or individual for academic status to purchase academic products from Onlime Media.

Education Discounts

Eligible Academic and Educational Institutions and the Students, Faculty and Staff of accredited Colleges, Universities and other institutions are able to purchase Onlime Media software at up to 50% discounted pricing. If you wish to purchase Academic versions of Onlime Media software you should e-mail sales@onlimemedia.com for pricing and purchase arrangements.

An academic institution must be organised and operated exclusively for education purposes and meet the criteria for one of the following:

  • Be a public or private school, vocational school, correspondence school, junior college, university, scientific or technical institution.
  • Be a public elementary, secondary, vocational and/or correspondence school accredited by applicable Board of Education of the prospect.
  • Be a private elementary, secondary, vocational and/or correspondence school accredited by a national, regional or state agency, including the administrative offices.
  • Be a preschool meeting all of the following criteria:
    • is an early childhood program that serves a minimum of ten children ages two through five
    • has been in operation for at least one year
    • uses public or private, profit or non-profit facilities
    • is government licensed, regulated or accredited; and
    • provides educational and/or childcare services.

    Other Qualified Institutions may include the following:

  • Hospitals that are wholly owned and operated by a qualified academic institution as described above.
  • Libraries that are wholly owned and operated by a qualified academic institution as described above.
  • Museums meeting all of the following criteria:
    • are a public or private non-profit agency or institution organised on a permanent basis for essentially education or aesthetic purposes,
    • utilises a professional staff,
    • owns or utilises tangible objects, cares for them and exhibits them to the public on a regular basis.

    When requested the institution is obligated to show proof of applicable accreditation by certificate or letter that verifies accreditation status to Onlime Media satisfaction of compliance with the applicable qualification criteria.

Students, Faculty and Staff of Accredited Colleges/Universities:

Must have a verifiable institution or campus identification card and may also be required to provide additional proof of eligibility in the way of a verifiable payment receipt or current semester enrolment certificate. This must be provided to Onlime Media prior to completion of purchase.

Acceptance of Academic Qualifications is at the sole discretion of Onlime Media or its representatives.

See also:
Purchasing Information


SmartBackup - File Filter Properties

File Filter Properties

Project Properties > File Filter List > File Filter Properties

There are two basic types of file filters: "+ Include ..." and "- Exclude ...".

You can filter files by the following criteria:

  • File:
    • Matching a wildcard (for example: "*.*");
    • Single specified file: (for example: "c\source dir\doc1.doc").
  • Folder:
    • Name/Path contains [value] (for example: "/data/")
    • Empty folder (by default empty folders are excluded from backup)
  • Date and Time (File Modified, File Created, File Last Accessed)
    • in the last [value] months
    • in the last [value] days
    • in the last [value] hours
    • in the last [value] minutes
    • date between [date] and [date]
    • time between [time] and [time]
  • Attributes
    • Read only
    • Archive
    • Hidden
    • System
    • Compressed
    • Encrypted
  • Size (in Bytes, KB, MB)
    • Less than (<) [value]
    • Equal to (=) [value]
    • Greater than (>) [value]

You can select only one file filter in this dialog box. To add another filter - press the Add... button in Project Properties - File Filter.

See also:
Project Properties - File Filter
Project Properties
Quick Start


SmartBackup - Schedule Properties Dialog

Schedule Properties Dialog
Project Properties > Schedule > Schedule Properties

SmartBackup provides a great variety of recurrence options if you want to make backups according to a schedule.

Within Minutes - Run every few minutes – enter minutes
Within Hours - Every few hours – enter hours
Within Days - Every few dayss – enter days
Within Weeks - Run every Nth week, on:
Mondays *
Tuesdays *
Wednesdays *
Thursdays *
Fridays *
Saturdays *
Sundays *
Within Months - Run every Nth day of the month(s), or every [first | second | third | fourth | last] weekday of the month(s):
January
February
March
April
May
June
July
August
September
October
November
December
At system startup – enter the wait time before Run **
At program startup – enter the wait time before Run **
At system shutdown – SmartBackup runs the Shutdown projects when it exits; enter a time limit in seconds to avoid an "endless" project run
Once – select the date and time when you wish the backup to start

* Select the days of the week on which SmartBackup should not run the project. This is useful if, for instance, you want to skip the weekends.
** The wait time is needed to mitigate processor/HDD overload on startup.

See also:
Project Properties - Schedule
Project Properties
Quick Start